#
# Xenomai Real-Time System
#
# Copyright (c) Siemens AG, 2019 - 2024
#
# Authors:
#  Quirin Gylstorff <quirin.gylstorff@siemens.com>
#
# SPDX-License-Identifier: MIT
#

include:
  - local: '/ci/gitlab-ci-base.yml'
  - local: '/ci/kernel_5_10.yml'
  - local: '/ci/kernel_5_15.yml'
  - local: '/ci/kernel_6_1.yml'
  - local: '/ci/kernel_6_6.yml'
  - local: '/ci/xenomai_3_next_compat.yml'

variables:
  XENOMAI_BUILD_OPTION: ":opt-xenomai-next.yml"
  XENOMAI_VERSION: "next"
  LATEST_KERNEL_VERSION: "6.6"
